Page MenuHomePhabricator

Notify the uploader when a newly uploaded image has machine-aided depicts suggestions ready for review
Closed, ResolvedPublic

Description

Upon successfully adding depicts suggestions to the DB for a newly uploaded image, we should emit an event to notify the uploader that the image has depicts suggestions needing review.

See subtask for design elements.

Details

Related Gerrit Patches:
mediawiki/extensions/MachineVision : masterAdd Echo notifications
mediawiki/extensions/MachineVision : wmf/1.35.0-wmf.5Add Echo notifications
mediawiki/extensions/MachineVision : masterWIP: Add echo notification support

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 23 2019, 5:31 PM
Mholloway renamed this task from Notify the user when an uploaded image has machine-aided depicts suggestions ready for review to Notify the uploader when a newly uploaded image has machine-aided depicts suggestions ready for review.Aug 23 2019, 5:32 PM
Mholloway moved this task from Ready for dev to Backlog on the MachineVision board.
LGoto triaged this task as Medium priority.Aug 28 2019, 3:44 PM
LGoto moved this task from Needs triage to Upcoming on the Product-Infrastructure-Team-Backlog board.
Mholloway updated the task description. (Show Details)Aug 28 2019, 3:44 PM
Mholloway updated the task description. (Show Details)Sep 16 2019, 4:16 PM
Mholloway moved this task from Under discussion to Needs design on the MachineVision board.
Mholloway raised the priority of this task from Medium to High.Oct 15 2019, 10:08 PM
Mholloway moved this task from Needs design to Ready for dev on the MachineVision board.
Mholloway updated the task description. (Show Details)

I can get a patch ready for this pretty quickly, but do we have assets (vector graphics) and copy for this screen now? @PDrouin-WMF any updates here?

egardner claimed this task.Oct 17 2019, 2:39 PM

@egardner - yep, see this subtask (T233031) for the svg (link to commons file) and the copy (link to google doc). lmk if you have any questions about either!

Sorry for the confusion, my asset question was related to the UploadWizard task T234960, getting my tickets confused over here.

Ah, gotcha, @egardner -- working on that today.

I'm going to see how far I can get following these guidelines: https://m.mediawiki.org/wiki/Extension:Echo/Creating_a_new_notification_type

Change 545117 had a related patch set uploaded (by Eric Gardner; owner: Eric Gardner):
[mediawiki/extensions/MachineVision@master] WIP: Add echo notification support

https://gerrit.wikimedia.org/r/545117

pinging @Cparle and @Mholloway for code review when this is ready (later this week probably).

Change 545117 abandoned by Eric Gardner:
WIP: Add echo notification support

Reason:
will replace with new attempt

https://gerrit.wikimedia.org/r/545117

Change 546917 had a related patch set uploaded (by Eric Gardner; owner: Eric Gardner):
[mediawiki/extensions/MachineVision@master] Add Echo notifications

https://gerrit.wikimedia.org/r/546917

Ok, made some progress on this. Here are some screenshots of the current appearance/behavior of notifications:

Popup view, non-bundled

This is what the user will see if they only have a single unread notification about Suggested Tags. In this case, the notification heading is file-specific, and the body includes the longer message about the tool (which is truncated until the user views it in their notifications dashboard). Clicking the notification goes to the user tab of Special:SuggestedTags.

Popup view, bundled:

This is what the user sees when there are multiple unread "suggested tags ready" notifications. The overall heading is a generic "Suggested tags are reaady for review" message. When expanded, the "compact heading" for each message in the bundle will indicate the filename of the file in question. Clicking any of these notifications will link the user to the user tab of Special:SuggestedTags, as above.

Inbox view

Messages do not bundle on the user's Notifications dashboard. Notifications are displayed in the same way as the non-bundled popup-view above. Now the full body text is visible in a non-truncated form.

Email view
Still figuring out how to enable / test this, not sure exactly what the email version includes.

Does this seem mostly correct? I've taken a few small liberties with the initial content outline with an eye to providing a little more useful info to the user.

I've updated the "bundled view" to not be expandable per @Ramsey-WMF's suggestion – the concern is that batch uploaders may be confronted with way too much information if we show a line for each individual file.

If a user has multiple unread "suggestions-ready" notifications, the popup view now looks like this:

Changing this back to the earlier behavior is as simple as flipping a boolean value from false to true, so let me know if that needs to change again.

Change 546917 merged by jenkins-bot:
[mediawiki/extensions/MachineVision@master] Add Echo notifications

https://gerrit.wikimedia.org/r/546917

Change 550512 had a related patch set uploaded (by Mholloway; owner: Eric Gardner):
[mediawiki/extensions/MachineVision@wmf/1.35.0-wmf.5] Add Echo notifications

https://gerrit.wikimedia.org/r/550512

egardner moved this task from In development to Done on the MachineVision board.Nov 12 2019, 5:14 PM

Change 550512 merged by Mholloway:
[mediawiki/extensions/MachineVision@wmf/1.35.0-wmf.5] Add Echo notifications

https://gerrit.wikimedia.org/r/550512

Email notifications don't bundle, which can lead to an inbox full of messags.

I've added a new ticket to track this issue at T240878 – feel free to add this screenshot there.

Ramsey-WMF closed this task as Resolved.Dec 16 2019, 6:53 PM

Since the on-site notification system is working as expected, will close this ticket and focus on T240878